%define name perl-Unix-ConfigFile
%define realname Unix-ConfigFile
%define version 0.06
%define release 4mdk

Name:		%{name}
Summary:	Unix::ConfigFile module for Perl
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		%{realname}-%{version}.tar.bz2
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildPreReq:	perl
BuildRequires:	perl-devel


%description
Easy access to data in many formats

%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -q -n  %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT  

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%dir %{perl_vendorlib}/Unix
%{perl_vendorlib}/Unix/*.pm


%changelog
* Mon Aug 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.06-4mdk
- Rebuild, cleanup of spec

* Tue Jul 22 2003 Franois Pons <fpons@mandrakesoft.com> 0.06-3mdk
- applied patch from Michael Scherer.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-2mdk
- rebuild for new auto{prov,req}

* Thu Jul 25 2002 Philippe Libat <philippe@mandrakesoft.com> 0.06-1mdk
- initial specfile
